<!DOCTYPE html>
<html lang="ru">
    <head>
        <meta charset="UTF-8">
        <title>Java script calc</title>
        <link rel="stylesheet" href="style.css">
    </head>
    <body>
        <form>
            <fieldset>
                <h2>Калькулятор стоимости заказа</h2>
                <label>Количество(шт.):<br><input type="text" id="kol" placeholder="0" oninput="this.value = this.value.replace(/[^0-9]/g, '')"><br></label>
                <label>Стоимость(ед.):<br><input type="text" id="ed" placeholder="0" oninput="this.value = this.value.replace(/[^0-9]/g, '')"><br></label>
                <input type="button" value="Стоимость" id="button" onClick="st();">
            </fieldset>
        </form>
        <br>
        <p>Итого:</p><div id="result"></div>
        <script src="java.js" defer></script>
    </body>
</html>